<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAlarmOrderScheduleTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('alarm_order_schedule', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('alarm_order_id')->comment('报警工单ID');
            $table->tinyInteger('schedule')->comment('进度ID');
            $table->string('content')->comment('进度详情');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('alarm_order_schedule');
    }
}
